/***************************************************************
 * Name:      wx010App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-29
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx010App.h"
#include "wx010Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx010App);

bool wx010App::OnInit()
{
    wx010Frame* frame = new wx010Frame(0L, _("wxWidgets Ejemplo 10"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
